> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/56.-fotos-uploaden.md).

# 56. Foto's uploaden

Het uploaden van een foto via S3 bestaat uit 2 stappen:

1. **Vraag de vooraf ondertekende link aan voor directe verdere upload.**&#x20;

Als invoer:&#x20;

* fileExtention - jpeg OF jpg OF png,&#x20;
* farmUuid - uuid van de boerderij,
* fieldUuid - uuid van het perceel,
* noteUuid - uuid van de notitie voor de directe link van de geüploade foto,
* commentUuid - uuid van de opmerking voor de directe link van de geüploade foto (optioneel).&#x20;

Als uitvoer:

* uuid - de verwachte uuid na upload en verwerking,
* farmUuid - hetzelfde als de invoer,
* fieldUuid - hetzelfde als de invoer,
* noteUuid - hetzelfde als de invoer,
* commentUuid - hetzelfde als de invoer (indien aanwezig),
* s3Url - de URL die wordt gebruikt om de foto te uploaden,
* s3Fields - attributen die moeten worden meegegeven in het uploadformulier voor de foto.

De details over hoe s3Url en s3Fields te gebruiken staan beschreven in de tweede stap.&#x20;

De attributen zijn slechts 60 minuten geldig om de foto te uploaden.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Verstuur een lokale foto naar s3Url met vooraf gedefinieerde formulierattributen uit s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Meldingen over de verwerking worden geleverd via het abonnementmechanisme dat beschreven staat in GraphQL -> Voorbeelden -> [1. Abonnement: Ontvang evenementen](/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/1.-abonnement-gebeurtenissen-ophalen.md).

{% hint style="info" %}
Gebruik ‘Accept-Encoding’:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/56.-fotos-uploaden.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
